<?xml version="1.0"?>

<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pass="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<h:head>
		<h:outputStylesheet library="css" name="adminOverview.css" />
	</h:head>
	<f:metadata>
		<f:event type="preRenderView" listener="#{adminIdeasBean.onPageLoad}" />
	</f:metadata>
	<h:body>
	<h:form id="ideaoverviewform">
		<!--data table-->
			<p:dataTable var="idea" value="#{adminIdeasBean.ideas}" reflow="true"  rows="10" paginator="true" emptyMessage="Keine Inhalte gefunden.">
				    <p:column headerText="Titel" sortBy="#{idea.title}">
				        <h:outputText value="#{idea.title}" />
				    </p:column>
				    <ui:fragment rendered="false">
				    <p:column headerText="Kategorie" sortBy="#{idea.category}">
						<h:outputText value="#{adminIdeasBean.getCategoryTitleById(idea.category)}" />
				    </p:column>
				    </ui:fragment>
				   	<p:column sortBy="#{idea.rating}">
				   	<script src="https://use.fontawesome.com/c13870fbc8.js"></script>
				   	 <f:facet name="header">
				        <i class="fa fa-thumbs-up" aria-hidden="true"></i>
				   	 </f:facet>
						<h:outputText value="#{adminIdeasBean.getRatingCount(idea.getIdeasId())}" />
				    </p:column>

				    <p:column headerText="Status" sortBy="#{idea.reviewStatus}" rendered="#{adminIdeasBean.isShowStatusColumn(idea.getIdeasId())}">
				    	<h:outputText value="#{idea.getReviewStatus()}"> </h:outputText>
				    </p:column>

				    <p:column headerText="Eingereicht am" sortBy="#{idea.createDate}"  rendered="#{adminIdeasBean.isShowStatusColumn(idea.getIdeasId())}">
				    	<h:outputText value="#{adminIdeasBean.formatDateToGerman(idea.getCreateDate())}"> </h:outputText>
				    </p:column>
					
					<p:column headerText="Eingereicht von" rendered="#{adminIdeasBean.isShowStatusColumn(idea.getIdeasId())}">
				    	<h:outputText value="#{idea.getUserName()}"> </h:outputText>
				    </p:column>
				    
				    <p:column headerText="Aktionen">
	    			<!--TODO find out why inbuilt font awesome is not working  -->
					<script src="https://use.fontawesome.com/c13870fbc8.js"></script>
					<a id="detailViewButton" href="#{idea.getPageUrl()}" title="Zur Detailansicht wechseln">
						 <i class="fa fa-search" aria-hidden="true"></i>
					 </a>

					<!-- Edit Button -->
					<ui:fragment rendered="#{adminIdeasBean.hasEditPermission(idea.getIdeasId())}">
					<p:commandLink id="editButton" actionListener="#{adminIdeasBean.loadIdea(idea.getIdeasId())}">
							<i class="fa fa-pencil-square-o" aria-hidden="true" title="Projekt bearbeiten"></i>
							<p:tooltip id="editButtonTooltip" value="Idee editieren" position="bottom"/>
					</p:commandLink>
					</ui:fragment>

					<!-- Like Button -->
					<ui:fragment rendered="#{adminIdeasBean.isLoggedIn()}">
					<p:commandLink id="likeButton" update="@form" ajax="true" actionListener="#{adminIdeasBean.likeIdea(idea.getIdeasId())}">
					<p:tooltip id="likeButtonTooltip"  value="Für die Idee stimmen" position="bottom"/>
					        <i class="fa fa-thumbs-up" aria-hidden="true" title="Projekt liken"></i>
					</p:commandLink>
					</ui:fragment>

					<!-- Delete Button -->
					<ui:fragment rendered="#{adminIdeasBean.showDeleteButton(idea.getIdeasId())}">
					<p:commandLink id="deleteButton" style="float:right;" ajax="true" actionListener="#{adminIdeasBean.deleteIdea(idea.getIdeasId())}"  update="@form">
					        <i class="fa fa-trash" aria-hidden="true" title="Projekt löschen"></i>
					         <p:confirm header="Löschen bestätigen" message="Bist Du sicher, dass Du Dein Projekt löschen willst?" />
					             <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" closable="false">
								        <p:commandButton value="Ja" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
								        <p:commandButton value="Nein" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
								    </p:confirmDialog>
					</p:commandLink>
					</ui:fragment>

					<ui:fragment rendered="#{adminIdeasBean.isShowAcceptAndDecline(idea.getIdeasId())}">
					<!-- Reject Button -->
					    <p:commandLink id="rejectButton" style="float:right;" ajax="true" actionListener="#{feedbackBean.rejectIdea(idea.getIdeasId())}" onclick="document.getElementById('feedbackModal').style.display='block';"
					    update="@form _JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:feedbackModalForm:ideasId _JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:feedbackModalForm:accepted">
					        <i class="fa fa-times" aria-hidden="true" title="Projekt ablehnen"></i>
					    </p:commandLink>

					<!-- Release Button  -->
					    <p:commandLink id="releaseButton" style="float:right;" update="@form _JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:feedbackModalForm:ideasId _JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:feedbackModalForm:accepted"
					     ajax="true" onclick="document.getElementById('feedbackModal').style.display='block';" actionListener="#{feedbackBean.releaseIdea(idea.getIdeasId())}">
					    	<p:tooltip id="releaseButtonTooltip" value="Idee freigeben" position="bottom"/>
					        <i class="fa fa-check" aria-hidden="true" title="Projekt veröffentlichen"></i>
					    </p:commandLink>
					</ui:fragment>
					
					<!-- NewcreateDateofIdea Button-->
					<ui:fragment rendered="#{adminIdeasBean.hasUpdateIdeaSubmittingDatePermission(idea.getIdeasId())}">
						<p:commandLink id="updatesubmissiondateButton" style="float:right;"  ajax="true" actionListener="#{adminIdeasBean.extendIdea(idea.getIdeasId())}"  update="@form">										
							<i class="fa fa-clock-o" aria-hidden="true" title="Projekt wird für den nächsten Zeitabschnitt freigeben"></i>
							<p:confirm header="Löschen bestätigen" message="Bist du sicher, dass du das Einreichungsdatum der Idee verändern möchtest? Die Idee wird damit im aktuellen Abstimmungszeitraum zur Abstimmung freigegeben." />
							<p:confirmDialog global="true" showEffect="fade" hideEffect="fade" closable="false">
								        <p:commandButton value="Ja" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
								        <p:commandButton value="Nein" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
								    </p:confirmDialog>
						</p:commandLink>
					</ui:fragment>
					
				    </p:column>
			</p:dataTable>
		</h:form>

			<!-- feedback Modal -->
	<ui:include src="feedbackModal.xhtml"></ui:include>

<!-- 			DEPRECATED	edit Modal
	<ui:include src="editModal.xhtml"></ui:include> -->
	</h:body>
</f:view>
